package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussRoleUserInfo;

import com.chaozhanggui.dao.system.entity.VO.UserInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
@Mapper
public interface TbPlussRoleUserInfoMapper {
    int deleteByPrimaryKey(Long id);

    int insert(TbPlussRoleUserInfo record);

    int insertSelective(TbPlussRoleUserInfo record);

    TbPlussRoleUserInfo selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(TbPlussRoleUserInfo record);

    int updateByPrimaryKey(TbPlussRoleUserInfo record);

    List<UserInfoVO> queryUserInfoVOPage(Map<String, Object> map);
}